import APIClient from '../../../utils/APIClient.js'
Page({
  /**
   * 页面的初始数据
   */
  data: {
    title: '',
    totalMoney: 0,
    textDoc: '收到的奖金',
    textPrompt: '奖金将于2019年1月15日自动转入微信钱包',
    walletDetail: '资金明细',
  },

  toWalletDetail: function(e) {
    let title = e.currentTarget.dataset.title;
    wx.navigateTo({
      url: `../walletDetails/walletDetails?title=${title}`
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.title) {
      wx.setNavigationBarTitle({
        title: options.title//页面标题为路由参数
      });
      this.setData({
        title: options.title
      });
    }
    // 
    APIClient.myWallet().success(res => {
      console.log(res.data.data);
      this.setData({
        totalMoney:res.data.data.income / 100
      });
    }).fail(err => {
      console.log(err);
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})